Comment installer MySQL Workbench?

50

L'installation de MySQL Workbench sur 10.04 ou 10.10 n'est pas un problème, car les paquets deb sont disponibles sur le site Web de MySQL. Mais il n’existe pas de paquet deb 11.04.

Comment puis-je installer MySQL Workbench le 11.04 et le garder à jour automatiquement lorsque des mises à jour seront disponibles pour ubuntu via apt-get update .

    
posée oshirowanen 25.05.2011 - 15:55
la source

8 réponses

26

Sélectionnez la page "Ubuntu" de la page MySQL Workbench Téléchargements

Vous aurez le choix entre:

Ubuntu Linux ver. 10.10 (x86, 64-bit), DEB
(mysql-workbench-gpl-5.2.33b-1ubu1010-amd64.deb)

Ubuntu Linux ver. 10.10 (x86, 32-bit), DEB      
(mysql-workbench-gpl-5.2.33b-1ubu1010-i386.deb)

et 2 versions légèrement plus anciennes:

Ubuntu Linux ver. 10.04 (x86, 64-bit), DEB
(mysql-workbench-gpl-5.2.33b-1ubu1004-amd64.deb)

Ubuntu Linux ver. 10.04 (x86, 32-bit), DEB  
(mysql-workbench-gpl-5.2.33b-1ubu1004-i386.deb)

Comme vous pouvez le constater, il n’ya que 10.04 versions, mais vous pouvez télécharger le .deb dont vous avez besoin et, une fois le téléchargement terminé, le logiciel sera ouvert avec cet écran:

et le reste est juste normal Ubuntu. J'en avais besoin moi-même ( mysql-workbench-gpl-5.2.33b-1ubu1010-i386.deb ) pour pouvoir confirmer que cela fonctionne.

    
réponse donnée Rinzwind 25.05.2011 - 17:47
la source
64

Exécutez cette commande dans le terminal ( Ctrl + Alt + T ):

sudo apt-get install mysql-workbench
    
réponse donnée sina miandashti 11.08.2012 - 09:11
la source
21

Enfin, j'ai trouvé le moyen le plus simple et le plus direct d’installer MySQL Workbench sur mon LTS 12.04.

(1) Il suffit d'installer le gestionnaire de paquets Synaptic (à partir du centre logiciel Ubuntu).

(2) Trouvez MySQL Workbench dans la catégorie Base de données (voir la capture d'écran).

MODIFIER: Depuis août 2012, MySQL a publié MySQL Workbench for Ubuntu 12.04, disponible ici

    
réponse donnée DUKE 19.06.2012 - 09:40
la source
4

La cause pour moi était une dépendance à MWB sur libzip.so.1 dans la version Ubuntu 12.04.

Synaptic (gestionnaire de logiciels Ubuntu) m'a sauvé avec ces problèmes de croissance de mise à niveau Ubuntu:

libzip1:

Package libzip1 has no available version, but exists in the database.
This typically means that the package was mentioned in a dependency 
  and never uploaded, has been obsoleted or is not available with the 
  contents of sources.list

Voici un lien vers le paquet libirip requis oneiric

    
réponse donnée hobs 16.06.2012 - 20:19
la source
2

Pour Ubuntu Oneiric 11.10, suivez les instructions de ce lien.

J'ai choisi d'installer en utilisant le tableau de bord ppa pour pouvoir confirmer que cela fonctionnait pour moi dans une distribution amd64.

MODIFIER : lien remplacé comme suggéré ci-dessous par CodeReaper

    
réponse donnée João Soares 31.10.2011 - 17:02
la source
2

En fait, mysql-workbench est disponible dans les référentiels Ubuntu (universe / database), il devrait donc apparaître dans Synaptic / Software-center / etc.

 aptitude search mysql-workbench
 aptitude show mysql-workbench
    
réponse donnée Anonymous 06.06.2012 - 21:53
la source
0

Avez-vous effectué une recherche sur Google?

Le premier ou second les résultats de recherche pour ubuntu 12.04 mysql workbench devraient faire l'affaire.

Remarque: je suis conscient que les réponses de type LMGTFY ne sont pas encouragées sur ce site. Cependant, je ne voyais pas la nécessité de répondre à la question en détail si un article de blog facile à trouver expliquait déjà tout.

    
réponse donnée SirCharlo 06.06.2012 - 05:36
la source
0

Pour Ubuntu (j'ai installé dans Ubuntu 16) exécuter la commande ci-dessous:

sudo apt-get install mysql-workbench-community

lien référencé: site de la communauté mysql

et ci-dessous la commande fonctionne également:

sudo apt-get install mysql-workbench
    
réponse donnée Ravistm 22.09.2017 - 06:36
la source

Lire d'autres questions sur les étiquettes